API keys
Your keys. A secret is shown once, when its key is created; rotate by creating a key, then revoking the old one.
Create an API key
POST
/v1/api-keysCreates a key under a name of yours, and answers its secret, shown this once: Gave keeps only its hash. To rotate a key without downtime, create a new one, switch to it, then revoke the old one. A name is never reused, even once its key is revoked.
Revoke an API key
DELETE
/v1/api-keys/{name}Revokes a key: it stops working within a minute. Your last active key can't be revoked, so you can't lock yourself out.